<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy Ui::MainWindow</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_ui_1_1_main_window.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="class_ui_1_1_main_window-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy Ui::MainWindow</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">ui_mainwindow.h</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Ui::MainWindow</div>
<div class="dyncontent">
<div class="center"><img src="class_ui_1_1_main_window__inherit__graph.png" border="0" usemap="#a_ui_1_1_main_window_inherit__map" alt="Inheritance graph"/></div>
<map name="a_ui_1_1_main_window_inherit__map" id="a_ui_1_1_main_window_inherit__map">
<area shape="rect" title=" " alt="" coords="6,79,121,104"/>
<area shape="rect" href="class_ui___main_window.html" title=" " alt="" coords="5,5,121,31"/>
<area shape="poly" title=" " alt="" coords="66,44,66,79,61,79,61,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Ui::MainWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_ui_1_1_main_window__coll__graph.png" border="0" usemap="#a_ui_1_1_main_window_coll__map" alt="Collaboration graph"/></div>
<map name="a_ui_1_1_main_window_coll__map" id="a_ui_1_1_main_window_coll__map">
<area shape="rect" title=" " alt="" coords="6,79,121,104"/>
<area shape="rect" href="class_ui___main_window.html" title=" " alt="" coords="5,5,121,31"/>
<area shape="poly" title=" " alt="" coords="66,44,66,79,61,79,61,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_methods_class_ui___main_window"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_ui___main_window')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_ui___main_window.html">Ui_MainWindow</a></td></tr>
<tr class="memitem:acf4a0872c4c77d8f43a2ec66ed849b58 inherit pub_methods_class_ui___main_window"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#acf4a0872c4c77d8f43a2ec66ed849b58">setupUi</a> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:acf4a0872c4c77d8f43a2ec66ed849b58 inherit pub_methods_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097dd160c3534a204904cb374412c618 inherit pub_methods_class_ui___main_window"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618">retranslateUi</a> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:a097dd160c3534a204904cb374412c618 inherit pub_methods_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf4a0872c4c77d8f43a2ec66ed849b58 inherit pub_methods_class_ui___main_window"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#acf4a0872c4c77d8f43a2ec66ed849b58">setupUi</a> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:acf4a0872c4c77d8f43a2ec66ed849b58 inherit pub_methods_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097dd160c3534a204904cb374412c618 inherit pub_methods_class_ui___main_window"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a097dd160c3534a204904cb374412c618">retranslateUi</a> (QMainWindow *<a class="el" href="class_main_window.html">MainWindow</a>)</td></tr>
<tr class="separator:a097dd160c3534a204904cb374412c618 inherit pub_methods_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_ui___main_window"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_ui___main_window')"><img src="closed.png" alt="-"/>&#160;Atrybuty publiczne dziedziczone z <a class="el" href="class_ui___main_window.html">Ui_MainWindow</a></td></tr>
<tr class="memitem:a39420100bfee3ba57f137af5a3b0f8e9 inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a39420100bfee3ba57f137af5a3b0f8e9">centralwidget</a></td></tr>
<tr class="separator:a39420100bfee3ba57f137af5a3b0f8e9 inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a734b1d3bb71c1b8e1ea01b7fa4344fce inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top">QMenuBar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a734b1d3bb71c1b8e1ea01b7fa4344fce">menubar</a></td></tr>
<tr class="separator:a734b1d3bb71c1b8e1ea01b7fa4344fce inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07519bbb9a350befd6feb4e84ef299fd inherit pub_attribs_class_ui___main_window"><td class="memItemLeft" align="right" valign="top">QStatusBar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_ui___main_window.html#a07519bbb9a350befd6feb4e84ef299fd">statusbar</a></td></tr>
<tr class="separator:a07519bbb9a350befd6feb4e84ef299fd inherit pub_attribs_class_ui___main_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html#l00056">56</a> pliku <a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a>.</p>
</div><hr/>Dokumentacja dla tej klasy została wygenerowana z pliku:<ul>
<li><a class="el" href="build-_robomap-_linux_mint-_debug_2ui__mainwindow_8h_source.html">build-Robomap-LinuxMint-Debug/ui_mainwindow.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_ui.html">Ui</a></li><li class="navelem"><a class="el" href="class_ui_1_1_main_window.html">MainWindow</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
